## starfetch 0.0.4+ds

=== GUI/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(starfetch VERSION 0.1 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_THREAD_LIBS_INIT "-lpthread")
set(CMAKE_HAVE_THREADS_LIBRARY 1)
set(CMAKE_USE_WIN32_THREADS_INIT 0)
set(CMAKE_USE_PTHREADS_INIT 1)
set(THREADS_PREFER_PTHREAD_FLAG ON)

find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

set(PROJECT_SOURCES
        mainwindow.cpp
        mainwindow.h
        mainwindow.ui
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(starfetchgui
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
else()
    if(ANDROID)
        add_library(starfetchgui SHARED
            ${PROJECT_SOURCES}
        )
    else()
        add_executable(starfetchgui
            ${PROJECT_SOURCES}
        )
    endif()
endif()

target_link_libraries(starfetchgui PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

set_target_properties(starfetchgui PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER my.example.com
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

install(TARGETS starfetchgui
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(starfetchgui)
endif()

## starfetch 0.0.4

=== debian/changelog ===
starfetch (0.0.4-1) sid; urgency=medium

  * Initial release. (Closes: #1123851)

 -- Jacob Mealey <jacobmealey.maine@gmail.com>  Wed, 24 Dec 2025 14:02:13 -0500

=== debian/control ===
Source: starfetch
Section: utils
Priority: optional
Maintainer: Jacob Mealey <jacobmealey.maine@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/Haruno19/starfetch
Vcs-Browser: https://salsa.debian.org/jacobmealey/starfetch
Vcs-Git: https://salsa.debian.org/jacobmealey/starfetch.git

Package: starfetch
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: command line tool written in C++ that displays constellations
 starfetch is a tool that prints out a scheme of a given constellation and some
 information about it: its quadrant, its right ascension, its declination, its
 area and its main stars number.

=== debian/watch ===
version=4

# GitHub hosted projects.
https://github.com/Haruno19/starfetch/tags .*/v?(\d.*)@ARCHIVE_EXT@

## starfetch 0.0.4%2Bds

=== debian/rules ===
#!/usr/bin/make -f

# Simple enough, let dh handle building.
%:
	dh $@

## starfetch 0.0.4+ds

=== debian/changelog ===
starfetch (0.0.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1123851)

 -- Jacob Mealey <jacobmealey.maine@gmail.com>  Wed, 24 Dec 2025 14:02:13 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Jacob Mealey <jacobmealey.maine@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.2
+ nlohmann-json3-dev
+Standards-Version: 4.7.3
 Homepage: https://github.com/Haruno19/starfetch
 Vcs-Browser: https://salsa.debian.org/jacobmealey/starfetch
 Vcs-Git: https://salsa.debian.org/jacobmealey/starfetch.git

=== debian/watch ===
version=4
opts=\
"repacksuffix=+ds, \
repack,compression=xz, \
dversionmangle=s/\+(ds)(\.\d+)?$//" \
 https://github.com/Haruno19/starfetch/tags .*/v?(\d[\d.]*)@ARCHIVE_EXT@
